Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc.pool
Class ResultSet

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.ResultSet
            |
            +--weblogic.jdbc.pool.ResultSet

public class ResultSet
extends weblogic.jdbcbase.pool.ResultSet
implements java.sql.ResultSet

Author:
  Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.pool.ResultSet
`cc, conn, key, rs`

Constructor Summary
`ResultSet(java.sql.ResultSet aRs, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.String aKey, weblogic.jdbcbase.pool.Connection aConn)`

Method Summary
`java.sql.ResultSetMetaData` | `getMetaData()`

Methods inherited from class weblogic.jdbcbase.pool.ResultSet
`clearWarnings, close, findColumn, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCursorName, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getObject, getObject, getShort, getShort, getString, getString, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getWarnings, next, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSet

    public ResultSet(java.sql.ResultSet aRs,
                     weblogic.jdbc.common.internal.ConnectionEnv aCc,
                     java.lang.String aKey,
                     weblogic.jdbcbase.pool.Connection aConn)
              throws java.sql.SQLException

  Parameters:
    `aRs` - java.sql.ResultSet
    `aCc` - ConnectionEnv
    `aKey` - String
    `aConn` - weblogic.jdbcbase.pool.Connection
  Throws:
    java.sql.SQLException - if there is an error

Method Detail

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Specified by:
    getMetaData in interface java.sql.ResultSet

  Returns:
    java.sql.ResultSetMetaData
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    getMetaData in class weblogic.jdbcbase.pool.ResultSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD